View Issue Details

IDProjectCategoryLast Update
0020331AI War 2[All Projects] Bug - GameplayNov 19, 2018 4:23 pm
ReporterHeartHunter7Assigned ToDominus Arbitrationis 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.773 Terrorized By An Infinite Loop 
Fixed in Version0.807 
Summary0020331: AI zombify units making "Anty-Everyone Zombie"+making new golems and other key units.
DescriptionScreen 1. Riot control ship - Anty-Everyone Zombie. I dont have other factions. Only Zenith trader and Golems intensity 5(max can be 3 golems, one golem for 1 type). We with AI having zombie weapon, but this Zombie made AI, i think Thetuida drones making these units.
Screen 2. AI killed my golem, and made +2 golems. One dead, one "Anty-Everyone Zombie" and one AI Golem.
Screen 3. AI killed "Anty-Everyone Zombie" golem. And you can see, that we still have 3 golems.
Screen 4. I killed AI and got system. You can see, that i trying ressurection 3 golems+i got new zombi Golem. So, in my game, right now 4 golems of one type, but must be only one for Humanity.
TagsNo tags attached.

Activities

HeartHunter7

Sep 20, 2018 7:28 pm

reporter  

20180921015234_1.jpg (576,111 bytes)
20180921021230_1.jpg (428,996 bytes)
20180921021414_1.jpg (531,541 bytes)
20180921020808_1.jpg (422,718 bytes)

HeartHunter7

Sep 20, 2018 7:29 pm

reporter  

a lot of golems.save (2,252,828 bytes)
a lot of golems.savemet (43 bytes)

RocketAssistedPuffin

Sep 20, 2018 8:11 pm

developer   ~0049364

I loaded this and there are no Anti-Everyone Zombies. Not sure what that's about...unless it's just a game to game error somehow. Still a bug.

BadgerBadger

Sep 20, 2018 9:12 pm

manager   ~0049367

What, which AI ships have zombifying guns? Parasites? That seems like it opens the doors for a lot of potential bugs.

Why not make parasites player-only? Just remove "Basic...DrawBag" from the built_by xml and that should do it.

RocketAssistedPuffin

Sep 20, 2018 9:14 pm

developer   ~0049368

Tethuidas, Badger. Their drones cause zombification.

Parasites aren't in the steam build yet.

BadgerBadger

Sep 20, 2018 9:18 pm

manager   ~0049369

I think anything that dies to remains needs to be made immune to zombification/nanocaustation

RocketAssistedPuffin

Sep 20, 2018 9:24 pm

developer   ~0049370

Agreed on that. I think a stolen Nanocaust unit (or bought from trader) doesn't cause any issues, like giving the victims to the Nanocaust or anything like that...

Zombification/Nanocaustation probably needs some work later down the line.

RocketAssistedPuffin

Sep 20, 2018 9:29 pm

developer   ~0049371

Though what happens if the Nanocaust infects a Parasite that then infects something and it dies? What if a unit is infected by a parasite and Nanocaust at once...who gets it?...Ugh. Feels simpler to just comment out Parasites and do what Chris said to Tethuida Guardians and Posts, and kick this problem down the road into a less time stressed period. I don't know how to do that though.

HeartHunter7

Sep 21, 2018 6:03 am

reporter   ~0049372

Lol. I lost this unit. This save better.
AI has only Tehuidas drones. I have drones+Nanocausts.

20180921130103_1.jpg (495,842 bytes)
zombie1.save (1,819,466 bytes)
zombie1.savemet (43 bytes)

Dune

Oct 26, 2018 3:09 pm

administrator   ~0050351

Based on earlier discussions, the best option for resolving this needs to be considered once other more urgent issues are resolved. Thanks for the information and input!

Dominus Arbitrationis

Nov 19, 2018 4:23 pm

administrator   ~0050508

Golems can no longer be zombified or captured.

Issue History

Date Modified Username Field Change
Sep 20, 2018 7:28 pm HeartHunter7 New Issue
Sep 20, 2018 7:28 pm HeartHunter7 File Added: 20180921015234_1.jpg
Sep 20, 2018 7:28 pm HeartHunter7 File Added: 20180921021230_1.jpg
Sep 20, 2018 7:28 pm HeartHunter7 File Added: 20180921021414_1.jpg
Sep 20, 2018 7:28 pm HeartHunter7 File Added: 20180921020808_1.jpg
Sep 20, 2018 7:29 pm HeartHunter7 File Added: a lot of golems.save
Sep 20, 2018 7:29 pm HeartHunter7 File Added: a lot of golems.savemet
Sep 20, 2018 8:11 pm RocketAssistedPuffin Note Added: 0049364
Sep 20, 2018 9:12 pm BadgerBadger Note Added: 0049367
Sep 20, 2018 9:14 pm RocketAssistedPuffin Note Added: 0049368
Sep 20, 2018 9:18 pm BadgerBadger Note Added: 0049369
Sep 20, 2018 9:24 pm RocketAssistedPuffin Note Added: 0049370
Sep 20, 2018 9:29 pm RocketAssistedPuffin Note Added: 0049371
Sep 21, 2018 6:03 am HeartHunter7 File Added: 20180921130103_1.jpg
Sep 21, 2018 6:03 am HeartHunter7 File Added: zombie1.save
Sep 21, 2018 6:03 am HeartHunter7 File Added: zombie1.savemet
Sep 21, 2018 6:03 am HeartHunter7 Note Added: 0049372
Oct 26, 2018 3:09 pm Dune Assigned To => x4000Bughunter
Oct 26, 2018 3:09 pm Dune Status new => considering
Oct 26, 2018 3:09 pm Dune Note Added: 0050351
Nov 19, 2018 4:23 pm Dominus Arbitrationis Assigned To x4000Bughunter => Dominus Arbitrationis
Nov 19, 2018 4:23 pm Dominus Arbitrationis Status considering => resolved
Nov 19, 2018 4:23 pm Dominus Arbitrationis Resolution open => fixed
Nov 19, 2018 4:23 pm Dominus Arbitrationis Fixed in Version => 0.807
Nov 19, 2018 4:23 pm Dominus Arbitrationis Description Updated View Revisions
Nov 19, 2018 4:23 pm Dominus Arbitrationis Note Added: 0050508